/*  Copyright 2011 diwaly
 *  This file is part of Volcano Plugin.
 *
 *  Volcano Plugin is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Volcano Plugin is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Volcano Plugin.  If not, see <http://www.gnu.org/licenses/>.
 */
package fr.diwaly.volcano;

public class VolcanoDelete implements Runnable{

	int taskId;
	Volcano volcano;

	public VolcanoDelete (Volcano volcano){
		taskId = Plugin.server.getScheduler().scheduleSyncRepeatingTask(Plugin.him,this,40,40);
		this.volcano = volcano;
		volcano.stop();
	}
	
	@Override
	public void run() {
		
		if(volcano.listFlowed.isEmpty()){
			Plugin.server.getScheduler().cancelTask(taskId);
			volcano.delete();
		}
	}
}
